# Raw Data

Below is the raw data used throughout this chapter. The data includes entries for people, the cars they own, and various maintenance services performed on those cars:<br>

| `<?xml version="1.0" encoding="UTF-8" ?><root>  <rootAttr1>rootValue1</rootAttr1>  <people>    <personal>      <age>20</age>      <gender>M</gender>      <name>        <first>John</first>        <last>Doe</last>      </name>    </personal>    <jobs>support</jobs>    <jobs>coding</jobs>    <vehicles>      <type>car</type>      <model>Honda Civic</model>      <insurance>        <company>ABC Insurance</company>        <policy_num>12345</policy_num>      </insurance>      <features>sunroof</features>      <features>rims</features>      <maintenance>        <date>07-17-2017</date>        <desc>oil change</desc>      </maintenance>      <maintenance>        <date>01-03-2018</date>        <desc>new tires</desc>      </maintenance>    </vehicles>    <vehicles>      <type>truck</type>      <model>Dodge Ram</model>      <insurance>        <company>ABC Insurance</company>        <policy_num>12345</policy_num>      </insurance>      <features>lift kit</features>      <features>tow package</features>      <maintenance>        <date>08-27-2017</date>        <desc>new tires</desc>      </maintenance>      <maintenance>        <date>01-08-2018</date>        <desc>oil change</desc>      </maintenance>    </vehicles>    <addresses>      <type>work</type>      <zip>12345</zip>    </addresses>    <addresses>      <type>home</type>      <zip>12357</zip>    </addresses>    <source>internet</source>  </people>  <people>    <personal>      <age>24</age>      <gender>F</gender>      <name>        <first>Jane</first>        <last>Roberts</last>      </name>    </personal>    <jobs>sales</jobs>    <jobs>marketing</jobs>    <source>phone</source>    <vehicles>      <type>car</type>      <model>Toyota Camry</model>      <insurance>        <company>Car Insurance</company>        <policy_num>98765</policy_num>      </insurance>      <features>upgraded stereo</features>      <maintenance>        <date>05-11-2017</date>        <desc>tires rotated</desc>      </maintenance>      <maintenance>        <date>11-03-2017</date>        <desc>oil change</desc>      </maintenance>    </vehicles>    <vehicles>      <type>car</type>      <model>Honda Accord</model>      <insurance>        <company>Car Insurance</company>        <policy_num>98765</policy_num>      </insurance>      <features>custom paint</features>      <features>custom wheels</features>      <maintenance>        <date>10-07-2017</date>        <desc>new air filter</desc>      </maintenance>      <maintenance>        <date>01-13-2018</date>        <desc>new brakes</desc>      </maintenance>    </vehicles>    <addresses>      <type>home</type>      <zip>98765</zip>    </addresses>    <addresses>      <type>work</type>      <zip>98753</zip>    </addresses>  </people>  <rootAttr2>rootValue2</rootAttr2>  <rootAttr3>rootValue3</rootAttr3>  <rootAttr3>rootValue4</rootAttr3></root>` |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appstrategy.com/apprules-r-documentation/platform/platform-features/system-settings/data-sources/connection-settings/services/xml/raw-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
